unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    NameEdit: TEdit;
    VornameEdit: TEdit;
    TelefonEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    ListBox1: TListBox;
    Exitbtn: TBitBtn;
    Addbtn: TBitBtn;
    Deletebtn: TBitBtn;
    Editbtn: TBitBtn;
    Clearbtn: TBitBtn;
    Searchbtn: TBitBtn;
    Savebtn: TBitBtn;
    Loadbtn: TBitBtn;
    Nameprintbtn: TBitBtn;
    Panel1: TPanel;
    procedure ExitbtnClick(Sender: TObject);
    procedure AddbtnClick(Sender: TObject);
    procedure SavebtnClick(Sender: TObject);
    procedure LoadbtnClick(Sender: TObject);
    procedure DeletebtnClick(Sender: TObject);
    procedure ClearbtnClick(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure EditbtnClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ExitbtnClick(Sender: TObject);
begin
close;
end;

procedure TForm1.AddbtnClick(Sender: TObject);
begin
Listbox1.Items.add (NameEdit.Text+', '+VornameEdit.Text+', Tel.:'+TelefonEdit.Text);
NameEdit.Text := '';
VornameEdit.Text := '';
TelefonEdit.Text := '';
NameEdit.SetFocus;
end;

procedure TForm1.SavebtnClick(Sender: TObject);
begin
Listbox1.Items.SaveToFile('Telefon.Dat');
end;

procedure TForm1.LoadbtnClick(Sender: TObject);
begin
IF FileExists('Telefon.Dat') THEN
Listbox1.Items.LoadFromFile('Telefon.dat');
end;

procedure TForm1.DeletebtnClick(Sender: TObject);
begin
IF Listbox1.Itemindex = -1 THEN
                       ShowMessage('Es wurde kein Feld ausgewhlt !')
ELSE   Listbox1.Items.Delete(Listbox1.Itemindex);
end;

procedure TForm1.ClearbtnClick(Sender: TObject);
begin
IF MessageDLG ('Wollen Sie wirklich alle Eintrge lschen ?',mtWarning,[mBYes,mBNo],0) = mRYes THEN
Listbox1.Items.Clear;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
VAR       p : integer;
          s : string;
begin
s := ListBox1.Items[ListBox1.ItemIndex];
p := Pos(',',s);
NameEdit.Text := copy(s,1,p-1);
Delete(s,1,p+1);
p := Pos(',',s);
VornameEdit.Text := copy(s,1,p-1);
Delete(s,1,p+6);
TelefonEdit.Text := s;
end;

procedure TForm1.EditbtnClick(Sender: TObject);
begin
IF ListBox1.ItemIndex <> -1 THEN
ListBox1.Items[ListBox1.ItemIndex] := (NameEdit.Text+', '+VornameEdit.Text+', Tel.:'+TelefonEdit.Text)
{   BEGIN ListBox1.Items.Insert(ListBox1.ItemIndex,NameEdit.Text+', '+VornameEdit.Text+', Tel.:'+TelefonEdit.Text);
         ListBox1.Items.Delete(ListBox1.ItemIndex);
   END}
ELSE ShowMessage('Es wurde kein Wert markiert');
ListBox1.ItemIndex := -1;
end;

end.
